di_hash_node Struct Reference
Di_hash_table

Node of a hash table. More...

## Data Fields

void * | key
void * | value
di_hash_node * | next

## Detailed Description

Node of a hash table.

## Field Documentation

## key

void* key

key

Referenced by di_hash_table_foreach().

## next

di_hash_node* next

the next node

Referenced by di_hash_table_foreach().

## value

void* value

value

Referenced by di_hash_table_foreach(), and di_hash_table_lookup().